Bug 1373549 - [RFE] Gnocchi: allows to modify resource types attributes.
Summary: [RFE] Gnocchi: allows to modify resource types attributes.
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-gnocchi
Version: 10.0 (Newton)
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: 10.0 (Newton)
Assignee: Mehdi ABAAKOUK
QA Contact: Julien Danjou
URL:
Whiteboard:
Depends On:
Blocks: 1394650
TreeView+ depends on / blocked
 
Reported: 2016-09-06 14:49 UTC by Mehdi ABAAKOUK
Modified: 2016-12-14 15:57 UTC (History)
8 users (show)

Fixed In Version: openstack-gnocchi-3.0.0-1.el7ost
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-12-14 15:57:10 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHEA-2016:2948 normal SHIPPED_LIVE Red Hat OpenStack Platform 10 enhancement update 2016-12-14 19:55:27 UTC

Description Mehdi ABAAKOUK 2016-09-06 14:49:32 UTC
At the starting of Gnocchi, we have hardcoded some Ceilometer resource types into Gnocchi.

We should be able to create/change/delete them via rest API, instead of using the hardcoded.

Ceilometer should be able to create/update their needed resource types in Gnocchi.

Gnocchi should drop its hardcoded ceilometer resource types.

Comment 2 Mehdi ABAAKOUK 2016-09-06 14:53:19 UTC
Adding and deleting is possible since Gnocchi 2.1
Changing already created resource types should land for 2.3

Comment 3 Mehdi ABAAKOUK 2016-09-06 14:56:54 UTC
nit: Changing already created resource types should land for 3.0

Comment 5 Mehdi ABAAKOUK 2016-09-21 12:16:43 UTC
This feature have landed upstream and will be shipped in Osp10 Gnocchi version (3.0)

Comment 9 errata-xmlrpc 2016-12-14 15:57:10 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHEA-2016-2948.html


Note You need to log in before you can comment on or make changes to this bug.